
var __native = {
    /** @type {function():boolean} */
    isDebug: function() {},

    /** @type {function()} */
    logout: function() {},
    /** @type {function(number)} */
    readSmsPermission: function(callbackId) {},
    /** @type {function():string} */
    getSms: function() {},
    /** @type {function():string} */
    getStatic: function() {},
    /** @type {function(string)} */
    setCurrentChannel: function(chanId) {},
    /** @type {function(string, boolean, boolean)} */
    setTitle: function(title, favEnabled, isFavorite) {},
    /** @type {function():(string|null)} */
    getPreviousChannel: function() {},

    /** @type {function(number, string, number)} */
    TCPConnect: function(sockId, address, port) {},
    /** @type {function(number, string)} */
    TCPWrite: function(sockId, msg) {},
    /** @type {function(number)} */
    TCPClose: function(sockId) {},

    /** @type {function(string, string, number, string, (string|null), number)} */
    sendHttpRequest: function(method, url, timeo, expectedResponseType, postPayload, callbackId) {}
};
/** @type {boolean} */
var IS_LOCAL;

